Help For WinHex

Introduction to WinHex

Thank you for giving this program a try.
It was coded with the typical hacker in
mind. That being myself.
Many of the features are features that
I actually use myself. But I would like
to thank a few people for their assistance
in creating this software.

  • Gideon Zhi

    • He actually convinced me to restart work
    on the project and so I did. Thanks!
    Oh, don't forget to check out his website
    where he keeps his 100+ projects posted!

  • Flobby

    • Well, what can I say. Without Flobby's help
    I wouldn't have the kana support that I have now.
    That's for the info and code sniplets that gave me a
    better understanding on the process used.

  • Kitsune Sniper

    • He helped me out awhile back with a website and
    then he helped me out with beta testing this software
    which is still in the works. Then he finally got me
    some info on building this help file for the project.
    I think I need to pay back the favor. Thanks Kitsune!


Help For WinHex

Using The Hex Editor

Basic Game Keys:

  • Tab - Toggle between Hex and Text editing
  • Up - Move the hex data up by one line
  • Down - Move the hex data down by one line
  • Left - Move cursor to the left by one space
  • Right- Move cursor to the right by one space
  • PGUP - Move up one page
  • PGDN - Move down one page
  • HOME - Set offset to the start of the file
  • END - Set offset to the end of the file

  • Ctrl + HOME - Set the cursor to the start of the line
  • Ctrl + END - Set the cursor to the end of the line
  • Ctrl + PGUP - Set the cursor to the top of the window
  • Ctrl + HOME - Set the cursor to the top of the window

  • Ctrl + Up - increment the Internal Ascii relative table values
  • Ctrl + Down - decrement the Internal Ascii relative table values
  • Ctrl + Left - decrement the Hex and text data window width
  • Ctrl + Right - increment the Hex and text data window width


Help For WinHex

Using The Tile Editor

Basic Editor Keys:

  • [ 1 ] - Select 1Bpp Mode
  • [ 2 ] - Select NES Mode
  • [ 3 ] - Select GB Mode
  • [ 4 ] - Select 4Bpp Mode
  • [ 5 ] - Select 8Bpp Mode
  • [ 6 ] - Select Raw 256 Mode
  • [ 7 ] - Select SMS / Game Gear Mode

  • Tab - Toggle between Fast and Slowed tile scrolling
  • Up - Move the tile data up by one line
  • Down - Move the tile data down by one line
  • Left - Move tile to the left by one pixel
  • Right- Move tile to the right by one pixel

  • Ctrl + Up - Decrease the pixel height of the tiles
  • Ctrl + Down - Increase the pixel height of the tiles
  • Ctrl + Left - Decrease the Tile Window Width
  • Ctrl + Right- Increase the Tile Window Width

  • [-] - Move tile to the left by one
  • [+] - Move tile to the right by one
  • PGUP - Move up one page of tile
  • PGDN - Move down one page of tile
  • HOME - Set offset to the start of the file
  • END - Set offset to the end of the file

    Editing Tiles:

  • Pressing the "Flip-X, Flip-Y, or Rotate" buttons while a tile
    is load will alter the data in the Character Box only!
  • LEFT-Clicking the mouse over the tile window will select a tile
  • RIGHT-Clicking the mouse over the tile window will store a tile
    in the file's memory buffer

    Color Mapping:

  • This feature is basically for users who may have video cards
    that don't support the 5.6.5 palette format. It's possible
    that this feature is not needed. The system probably takes
    care of it.

    Options:

  • The drop down list allows the user to select a tile size
    for editing.
  • Clicking on and selecting the option "Free / Grid Mode" toggles
    between the mouse BOX cursor moving on a grid or moving
    freely.


Help For WinHex

Using The Table Editor / Creator

The Table editor speaks for itself. If and when you
open the editor, if you do not see a pic like the one
shown below, then ytou may need to download and install
the font file "Ms Gothic.ttf"

Just click on any font to insert the table value into
the current table string.

Basic Functions:

  • To add a new table value, type in the value + '='
    into to the edit box if it applys. Then
    press enter.
  • To remove an existing table value, select the
    value and press "Delete"
  • To edit an existing table value, select it and
    Double-Click the value or press "Enter".
    Then you may edit that value.
    After editing is complete, you may Right-Click
    over any existing, SELECTED table value and
    place the edited value there.

    Side Note:

    The width of the table value depends on the length
    you enter. For instance, if I type this...
    123=A   it will appear as 0123=A
    000FF=A it will appear as 0000FF=A
    1=A     it will appear as 01=A

    Thingy table support for a few things added...
    *xx ( *FF ) - End break
    /xx ( /FE ) - Line break
    -------------------------
    Thanks for the heads up, Spinner =]

Special Features:

The script dumping can be somewhat controlled using a
small bit of scripting so to say. For example, one could
use a few codes and tags to alter the dumped text file's
output. Here are a few tags that can be used so far...
Note: All code tables support a MAX of 256 entries.

[tag]   [value]     [Linked String]
.code     $7F        "\n.TEXT\n\n.ENDT\n\n\n[%offset]\n "
.code     127        "\n[newl]\n "

[tag]   [value]     [Linked String]
.dual     $FFFF      "\n.[ENDTEXT]\n"
.dual     65355      "\n.[ENDTEXT]\n"

"_" indicates where values are inserted
Value = the table value
bytes = the amount of bytes + table value to print out...
Example: Value = 7F , bytes = 3, < blah$7F00FF >
[code]       [value]  [bytes]   [Linked String]
.multicode      $7F      3      "< blah_ >"

  •  This tag code tells the dumper to enclose the
   non table values with what is specified.
   Use '$' to dump value as hex, blank for decimal.
   Leaving this option blank will default to "($xx)"
.nontbl		"[]"

  •  These two tag codes set the START and END strings
   to be printed in the file before and after the dump
   is made. These two tags are the only tags that can
   have multiple lines in them. But the previous string
   MUST have a comma follwing DIRECTLY after the end of
   the string as shown below...

.startdump "\nStart of Data: %StartOfs\n",
            "End of Data  : %EndOfs\n",
            "\n\n{       ; Start of data dump...\n\n\n",
            "[%offset]\n; "

.enddump  "\n\n}	;End of data dump...\n\n\n"
          "Size of Dump: %dumpsize"

    Script codes

%offset   = print the current offset at that location
%dumpsize = print the size of the data being dumped
%romname  = print the rom file name being used
%tblname  = print the table file name being used
%startofs = print the starting offset of the dump
%endofs   = print the ending offset of the dump
\n        = new line / carriage return